com.mxgraph.util.png

## Class mxPngImageEncoder

- java.lang.Object
- - com.mxgraph.util.png.mxPngImageEncoder

-     public class mxPngImageEncoder
      extends java.lang.Object

  An ImageEncoder for the PNG file format.
  Since:
    EA4

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.io.OutputStream` | `output` The OutputStream associcted with this ImageEncoder.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `mxPngImageEncoder(java.io.OutputStream output, mxPngEncodeParam param)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `encode(java.awt.image.RenderedImage im)` This method encodes a `RenderedImage` into PNG.
    `java.io.OutputStream` | `getOutputStream()` Returns the OutputStream associated with this ImageEncoder.
    `mxPngEncodeParam` | `getParam()`
    `void` | `setParam(mxPngEncodeParam param)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### output

          protected java.io.OutputStream output

      The OutputStream associcted with this ImageEncoder.

  - ### Constructor Detail

    - #### mxPngImageEncoder

          public mxPngImageEncoder(java.io.OutputStream output,
                           mxPngEncodeParam param)

  - ### Method Detail

    - #### getParam

          public mxPngEncodeParam getParam()

    - #### setParam

          public void setParam(mxPngEncodeParam param)

    - #### getOutputStream

          public java.io.OutputStream getOutputStream()

      Returns the OutputStream associated with this ImageEncoder.

    - #### encode

          public void encode(java.awt.image.RenderedImage im)
                      throws java.io.IOException

      This method encodes a `RenderedImage` into PNG. The stream into which the PNG is dumped is not closed at the end of the operation, this should be done if needed by the caller of this method.
      Throws:
        `java.io.IOException`

Copyright (c) 2010 Gaudenz Alder. All rights reserved.